curl --request POST \
--url https://services.leadconnectorhq.com/conversations/messages/inbound \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"type": "SMS",
"conversationId": "ve9EPM428h8vShlRW1KT",
"conversationProviderId": "61d6d1f9cdac7612faf80753",
"attachments": [
"<string>"
],
"message": "<string>",
"html": "<string>",
"subject": "<string>",
"emailFrom": "sender@company.com",
"emailTo": "<string>",
"emailCc": [
"john1@doe.com",
"john2@doe.com"
],
"emailBcc": [
"john1@doe.com",
"john2@doe.com"
],
"emailMessageId": "<string>",
"altId": "61d6d1f9cdac7612faf80753",
"direction": [
"outbound",
"inbound"
],
"date": "2023-11-07T05:31:56Z",
"call": {
"to": "+15037081210",
"from": "+15037081210",
"status": "completed"
}
}
'{
"success": true,
"conversationId": "ABC12h2F6uBrIkfXYazb",
"messageId": "t22c6DQcTDf3MjRhwf77",
"message": "<string>",
"contactId": "<string>",
"dateAdded": "2023-11-07T05:31:56Z",
"emailMessageId": "<string>"
}Post the necessary fields for the API to add a new inbound message.
curl --request POST \
--url https://services.leadconnectorhq.com/conversations/messages/inbound \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"type": "SMS",
"conversationId": "ve9EPM428h8vShlRW1KT",
"conversationProviderId": "61d6d1f9cdac7612faf80753",
"attachments": [
"<string>"
],
"message": "<string>",
"html": "<string>",
"subject": "<string>",
"emailFrom": "sender@company.com",
"emailTo": "<string>",
"emailCc": [
"john1@doe.com",
"john2@doe.com"
],
"emailBcc": [
"john1@doe.com",
"john2@doe.com"
],
"emailMessageId": "<string>",
"altId": "61d6d1f9cdac7612faf80753",
"direction": [
"outbound",
"inbound"
],
"date": "2023-11-07T05:31:56Z",
"call": {
"to": "+15037081210",
"from": "+15037081210",
"status": "completed"
}
}
'{
"success": true,
"conversationId": "ABC12h2F6uBrIkfXYazb",
"messageId": "t22c6DQcTDf3MjRhwf77",
"message": "<string>",
"contactId": "<string>",
"dateAdded": "2023-11-07T05:31:56Z",
"emailMessageId": "<string>"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Message Type
SMS, Email, WhatsApp, GMB, IG, FB, Custom, WebChat, Live_Chat, Call "SMS"
Conversation Id
"ve9EPM428h8vShlRW1KT"
Conversation Provider Id
"61d6d1f9cdac7612faf80753"
Array of attachments
Message Body
HTML Body of Email
Subject of the Email
Email address to send from. This field is associated with the contact record and cannot be dynamically changed.
"sender@company.com"
Recipient email address. This field is associated with the contact record and cannot be dynamically changed.
List of email address to CC
["john1@doe.com", "john2@doe.com"]List of email address to BCC
["john1@doe.com", "john2@doe.com"]Send the email message id for which this email should be threaded. This is for replying to a specific email
external mail provider's message id
"61d6d1f9cdac7612faf80753"
Message direction, if required can be set manually, default is outbound
["outbound", "inbound"]Date of the inbound message
Show child attributes
Was this page helpful?